import Vue from "vue";
export const CORE_API = "/api/ecs_core"; //基础信息API
export const EXAM_WORK_API = "/api/ecs_exam_work"; //考务信息API
export const Q_API = "/api/ecs_ques"; //题库API
export const LEVEL_TYPE = [
  { label: "专升本", value: "ZSB" },
  { label: "高起专", value: "GQZ" },
  { label: "高起本", value: "GQB" },
  { label: "不限", value: "ALL" }
];
export const questionTypes = [
  { value: "SINGLE_ANSWER_QUESTION", label: "单选" },
  { value: "MULTIPLE_ANSWER_QUESTION", label: "多选" },
  { value: "BOOL_ANSWER_QUESTION", label: "判断" },
  { value: "FILL_BLANK_QUESTION", label: "填空" },
  { value: "TEXT_ANSWER_QUESTION", label: "问答" },
  { value: "NESTED_ANSWER_QUESTION", label: "套题" }
];
//option字母顺序过滤器
Vue.filter("optionOrderWordFilter", function(value) {
  return String.fromCharCode(65 + value);
});
//题型过滤器
Vue.filter("questionType", function(value) {
  for (let questionType of questionTypes) {
    if (questionType.value === value) {
      return questionType.label;
    }
  }
});

export const examTypes = [
  { value: "TRADITION", label: "传统考试" },
  { value: "ONLINE", label: "网络考试" },
  { value: "PRACTICE", label: "在线练习" }
];

export const exportTypes = [
  { value: "ONLINE", label: "机考" },
  { value: "NORMAL", label: "普通" }
];

Vue.filter("examTypesFilter", function(value) {
  for (let item of examTypes) {
    if (item.value === value) {
      return item.label;
    }
  }
});
Vue.filter("exportTypesFilter", function(value) {
  for (let item of exportTypes) {
    if (item.value === value) {
      return item.label;
    }
  }
});

// Vue.directive("questionAudio", {
//   bind: function(el, binding, vnode) {
//     addAudio(el, binding, vnode);
//   },
//   inserted: function(el, binding, vnode) {},
//   update: function(el, binding, vnode) {},
//   componentUpdated: function(el, binding, vnode) {},
//   unbind: function(el, binding, vnode) {}
// });

// function addAudio(el, binding, vnode) {
//   let $el = $(el);
//   if (vnode.data.attrs.hasAudio) {
//     $el.find("p>a").each(function() {
//       var questionAudioId = $(this).attr("id");
//       if (questionAudioId) {
//         vnode.context.$http
//           .get(Q_API + "/questionAudio/" + questionAudioId)
//           .then(response => {
//             if (response && response.body) {
//               let audioFlag =
//                 '<audio controls><source src="http://exam-cloud-test.b0.upaiyun.com' +
//                 response.body.fileUrl +
//                 '" type="audio/mpeg"></audio>';
//               $(this).append(audioFlag);
//             }
//           });
//       }
//     });
//   }
// }
